policies
Get policy by ID
Get policy by ID
GET
/
policies
/
{id}
Get policy by ID
curl --request GET \
--url https://mycluster.domino.tech/api/governance/v1/policies/{id}import requests
url = "https://mycluster.domino.tech/api/governance/v1/policies/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/governance/v1/policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowProjectApprovers": true,
"archived": true,
"classificationArtifactMap": {},
"classificationRule": "<string>",
"createdAt": "<string>",
"createdBy": {},
"description": "<string>",
"enforceSequentialOrder": true,
"gates": [
{
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"resources": [
{
"action": "Deploy",
"failOpen": true,
"parameters": {}
}
]
}
],
"id": "<string>",
"labels": {},
"name": "<string>",
"parentId": "<string>",
"simpleClassificationQuestionId": "<string>",
"stages": [
{
"approvals": [
{
"approvers": [
{
"editable": true,
"id": "<string>",
"name": "<string>",
"showByDefault": true,
"fromOrganizationUserId": "<string>",
"isOrganizationUser": true
}
],
"evidence": {
"artifacts": [
{
"artifactType": "input",
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"scope": "Global",
"visible": true
},
"id": "<string>",
"name": "<string>",
"policyEntityId": "<string>",
"revalidationConfig": {
"openWindowDaysBefore": 2,
"recurring": {
"every": 2,
"unit": "month",
"startDate": "<string>"
},
"type": "absolute"
}
}
],
"evidenceSet": [
{
"artifacts": [
{
"artifactType": "input",
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"scope": "Global",
"visible": true
}
],
"id": "<string>",
"name": "<string>",
"notifyOnTransition": true,
"policyEntityId": "<string>",
"policyVersionId": "<string>"
}
],
"status": "Draft",
"taxonomyProperties": [
{
"description": "<string>",
"groupName": "<string>",
"propertyId": "<string>",
"propertyLabel": "<string>",
"type": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
],
"taxonomyTags": [
{
"description": "<string>",
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"namespaceLabel": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": {}
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}Path Parameters
ID of policy to retrieve
Query Parameters
Hydrate the response with taxonomy tags and property values (default true); set false to skip
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Draft, Published, Archived populated by TaxonomyService
Show child attributes
Show child attributes
populated by TaxonomyService
Show child attributes
Show child attributes
Last modified on June 26, 2026
Related topics
Get the policy definition YAML by IDGet bundle by IDGet finding by IDSubmit a result and get computed policyWas this page helpful?
⌘I
Get policy by ID
